[Standards] XEP-0163: depend on persistent-items, node-config and publish-options

Peter Saint-Andre stpeter at stpeter.im
Tue Aug 29 15:43:47 UTC 2017


On 8/29/17 6:27 AM, Kim Alvefur wrote:
> On Mon, Aug 28, 2017 at 12:03:37PM +0200, Daniel Gultsch wrote:
>> Now that the PR regarding publish-options has been merged into
>> XEP-0060 I want to bump this thread and ask if anyone objects to that
>> proposal (making persistent-items, node-config and publish-options
>> mandatory). Otherwise I would go ahead and create a PR for that and
>> let council vote on this next Wednesday.
> 
> I'm sceptical. I would rather see an even smaller mandated feature set.
> Preferably exactly as much as required for extended presence (user tune
> etc) and *nothing* else. These features you want to make mandatory ought
> to be in XEP-0222 or XEP-0223 instead. Or perhaps a new XEP, the
> full-blown-pubsub-on-your-jid XEP you always dreamed about.
> 

+1

Peter



More information about the Standards mailing list